%global pixbuf_moduledir	%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)

%define         major 1
%define         libname %mklibname heif %{major}
%define         devname %mklibname heif -d

#define         extra 20190206_git9d96532


%define build_x265 0
%if "%distro_section" == "tainted"
%global build_x265 1
%endif

%define         subrel 1

%define         rel 1

Name:           libheif
Version:        1.4.1
Release:        %mkrel %rel
#Release:        %%mkrel %%{?extra:-c %%{extra}} %%{rel}
Summary:        libheif is a ISO/IEC 23008-12:2017 HEIF file format decoder and encoder
Group:          System/Libraries
License:        LGPLv2 and GPLv2
URL:            http://www.libheif.org/
Source0:        https://github.com/strukturag/libheif/archive/v%{version}/%{name}-%{version}%{?extra:-%{extra}}.tar.gz
Patch0:		0001-Build-gdk-pixbuf-loader-as-a-module.patch
%if %{build_x265}
BuildRequires:  pkgconfig(libde265)
BuildRequires:  pkgconfig(x265)
Requires:       libde265
%endif
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(libpng)

%description
Libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder and encoder.

HEIF is a new image file format that can potentially employ HEVC
(h.265) image coding for efficent compression ratios, but not
only. Alternative codecs for, e.g., AVC and JPEG, PNG can be used.

%if %{build_x265}
Because libheif makes use of libde265 for the actual image decoding
and x265 for encoding, the version using these codecs is impaired by
patents and is in the tainted repository.
%endif

%package        -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       heif-devel = %{version}-%{release}

%description    -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%package        -n %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}
Conflicts:      %{name} < 1.3.2-0.20181016_git659fb68.2
Obsoletes:	%{_lib}heif_pixbuf0 < 1.4.0-2

%description    -n %{libname}
Shared libraries for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
./autogen.sh
%configure2_5x --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.*a' -delete

%files
%doc README.md
%{_bindir}/*
%{_datadir}/mime/packages/heif.xml
%{_datadir}/thumbnailers/heif.thumbnailer

%files -n %{libname}
%{_libdir}/*%{name}*.so.%{major}{,.*}
%{pixbuf_moduledir}/libpixbufloader-heif.so

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/*%{name}*.so
%{_libdir}/pkgconfig/libheif.pc


%changelog
* Mon Mar 16 2020 eatdirt <eatdirt> 1.4.1-1.1.mga7
+ Revision: 1556633
- Support for a non-tainted build version in core
+ kekepower <kekepower>
- Update to version 1.4.1 to fix CVE-2019-11471 (mga#25319)

* Sun Apr 14 2019 wally <wally> 1.4.0-2.mga7.tainted
+ Revision: 1390102
- move gdk-pixbuf loader to lib pkg
- add patch to build gdk-pixbuf loader as a module

* Tue Feb 26 2019 kekepower <kekepower> 1.4.0-1.mga7.tainted
+ Revision: 1370266
- Update to version 1.4.0

* Sun Feb 10 2019 kekepower <kekepower> 1.3.2-0.20190206_git9d96532.1.mga7.tainted
+ Revision: 1364856
- Add BuildRequires for gdk-pixbuf
- Update to release 20190206_git9d96532

* Mon Feb 04 2019 zezinho <zezinho> 1.3.2-0.20190131_git75333c2.2.mga7.tainted
+ Revision: 1363061
- rebuild for libx265

* Thu Jan 31 2019 kekepower <kekepower> 1.3.2-0.20190131_git75333c2.1.mga7.tainted
+ Revision: 1362111
- Update to release 20190131_git75333c2

* Fri Dec 14 2018 kekepower <kekepower> 1.3.2-0.20181214_gite20251d.1.mga7.tainted
+ Revision: 1341175
- Update to release 20181214_gite20251d

* Fri Nov 23 2018 kekepower <kekepower> 1.3.2-0.20181121_git791fa2d.1.mga7.tainted
+ Revision: 1333675
- Update to release 20181121_git791fa2d

* Sat Oct 20 2018 daviddavid <daviddavid> 1.3.2-0.20181016_git659fb68.3.mga7.tainted
+ Revision: 1322841
- devel pkg requires main lib pkg
- add some missing Provides and Group

* Tue Oct 16 2018 kekepower <kekepower> 1.3.2-0.20181016_git659fb68.2.mga7.tainted
+ Revision: 1321168
- Fix devel and library packages

* Tue Oct 16 2018 kekepower <kekepower> 1.3.2-0.20181016_git659fb68.1.mga7.tainted
+ Revision: 1320981
- imported package libheif

